### Name: MCMCpoissonChangepoint
### Title: Markov Chain Monte Carlo for a Poisson Multiple Changepoint
###   Model
### Aliases: MCMCpoissonChangepoint
### Keywords: models

### ** Examples

    ## Not run: 
##D     ## generate event count time series data with two breakpoints at 100 and 200
##D     set.seed(1973)
##D     n           <-  300
##D     true.lambda <-  c(3, 2, 4)
##D     y1          <-  rpois(100, true.lambda[1]) 
##D     y2          <-  rpois(100, true.lambda[2]) 
##D     y3          <-  rpois(100, true.lambda[3]) 
##D     y           <-  c(y1, y2, y3)
##D    
##D     ## run the example   
##D     model1 <-  MCMCpoissonChangepoint(y, m=1, burnin = 100, mcmc = 100, 
##D                 thin=1,  verbose=5, c0=3, d0=1,  marginal.likelihood =
##D                 c("Chib95"))  
##D     model2 <-  MCMCpoissonChangepoint(y, m=2, burnin = 100, mcmc = 100, 
##D                 thin=1, verbose=5, c0=3, d0=1,  marginal.likelihood =
##D                 c("Chib95"))
##D     model3 <-  MCMCpoissonChangepoint(y, m=3, burnin = 100, mcmc = 100,
##D                 thin=1, verbose=5, c0=3, d0=1,  marginal.likelihood =
##D                 c("Chib95"))
##D     model4 <-  MCMCpoissonChangepoint(y, m=4, burnin = 100, mcmc = 100,
##D                 thin=1, verbose=5, c0=3, d0=1,  marginal.likelihood = 
##D                 c("Chib95"))
##D                 
##D     ## perform model comparison  
##D     BayesFactor(model1, model2, model3, model4)
##D        
##D     ## Draw plots using the "right" model
##D     plotPostState(model2, y, m=2, legend.control=NULL) 
##D     plotPostChangepoint(model2, y, m=2)    
##D     
## End(Not run)



